<script>
    import NftCard from '../../../Components/NftCard.svelte';
    import TestCaseOverview from '../../../Components/TestCaseOverview.svelte';
    import nftArray from '../../../data/showcase/vectors_nft_bundles.json';
</script>

<h1>Component: NftCard</h1>
<p>
    A card-like component that represents an NFT object. It shows object attributes of the NFT
    object and it's associated metadata object. Additionally, if it can recognize an image URI, it
    will display the NFT's image. The card is suitable for tiling in order to represent collections
    of NFTs.
</p>

{#each nftArray.vectors as test_case, index}
    <TestCaseOverview {test_case} />
    {#each test_case.mock_data as nftObject, index}
        <NftCard nft_assets={nftObject.nft_full} />
    {/each}
{/each}

<style>
    h1 {
        font-size: 2.5em;
        margin-bottom: 0.1em;
    }
    h2 {
        font-size: 1.5em;
    }
    .testcase {
        background-color: LightGray;
        padding-left: 1em;
        padding-top: 0.5em;
        padding-bottom: 0.5em;
        margin-top: 1em;
        margin-bottom: 1em;
    }
</style>
